reflector
===

A standard metadata reflection library for Dart. Supports 3 modes:

1. Mirrors-based: Uses `dart:mirrors` at runtime. Poor dart2js performance.
2. Source-based: Uses the Dart analyzer. Useful to tooling or generating static.
3. Static: Uses metadata that has been pre-pruned from source at runtime.

The APIs for all 3 modes are identical, meaning it should be easy to, in dev
mode, use mirrors. Then, write a tool that uses source to generate static data
that can be used in production.
