library reflector.test.static_reflector_test;

import 'package:reflector/testing/annotations.dart';
import 'package:reflector/testing/common.dart';
import 'package:reflector/testing/library.dart';

import 'package:guinness/guinness.dart';
import 'package:reflector/static.dart';
import 'package:reflector/src/interfaces.dart';

void main() {
  StaticReflector reflector;

  describe('StaticReflector', () {
    beforeEach(() {
      // Until this is generated, keep in date with //testing/library.dart.
      final annotations = [new AnnotationInfo(#Annotation, Annotation)];
      reflector = new StaticReflector({
        A: new ClassInfo(#A, annotations: annotations),
        B: new ClassInfo(#B),
        C: new ClassInfo(#C)
      });
    });

    runTests(() => reflector, isRuntime: true);
  });
}
