library reflector.test.mirrors_reflector_test;

import 'package:reflector/testing/common.dart';
import 'package:reflector/testing/library.dart';

import 'package:guinness/guinness.dart';
import 'package:reflector/mirrors.dart';

void main() {
  MirrorsReflector reflector;

  describe('MirrorsReflector', () {
    describe('.fromLibraries', () {
      beforeEach(() {
        reflector = new MirrorsReflector.fromLibraries([
          const Symbol('reflector.testing.library')
        ]);
      });

      runTests(() => reflector, isRuntime: true);
    });

    describe('.fromTypes', () {
      beforeEach(() {
        reflector = new MirrorsReflector.fromTypes([A, B, C]);
      });

      runTests(() => reflector, isRuntime: true);
    });
  });
}
