library reflector.test.source_reflector_test;

import 'package:reflector/testing/common.dart';

import 'package:guinness/guinness.dart';
import 'package:reflector/source.dart';

void main() {
  describe('SourceReflector', () {
    SourceReflector reflector;

    beforeEach(() {
      // Until this is generated, keep in date with //testing/library.dart.
      reflector = new SourceReflector.fromCode('''
        library reflector.testing.library;

        import 'package:reflector/testing/annotations.dart';

        @Annotation()
        class A {}

        class B {}

        class C {}
      ''');
    });

    runTests(() => reflector);
  });
}
